---
lang: en
title: 'API docs: rest.writeresulttoresponse'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.writeresulttoresponse.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [writeResultToResponse](./rest.writeresulttoresponse.md)

## writeResultToResponse() function

Writes the result from Application controller method into the HTTP response

<b>Signature:</b>

```typescript
export declare function writeResultToResponse(response: Response, result: OperationRetval): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  response | <code>Response</code> | HTTP Response |
|  result | <code>OperationRetval</code> | Result from the API to write into HTTP Response |

<b>Returns:</b>

`void`


